Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4092 - sudo doesn't like MD5 passwords.
Summary: sudo doesn't like MD5 passwords.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: sudo
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-17 20:32 UTC by Neil Darlow
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-06 21:24:52 UTC


Attachments (Terms of Use)

Description Neil Darlow 1999-07-17 20:32:28 UTC
Sorry guys but your Rawhide section doesn't list sudo.

Sudo-1.5.9p1-2.src.rpm under Red Hat 6.0 Intel.

If you have shadow and MD5 passwords enabled, sudo refuses
all password entries.

Turning off MD5 passwords and converting passowrd to crypt
style permits sudo to work.

I don't think this is /etc/pam.d/sudo configuration problem
as adding md5 to the password entry doesn't fix it (it
shouldn't anyway).

This could be a problem with the implementation of PAM calls
in sudo or a problem with PAM itself.

Comment 1 Tim Powers 1999-08-05 19:40:59 UTC
The sudo shipped in Powertools 6.0 should work.


Note You need to log in before you can comment on or make changes to this bug.